=== debian/changelog ===
grub-btrfs (4.13-gsd1) stable; urgency=medium

  * New upstream version

 -- Maciej Krawiec <142805+mkrawiec@users.noreply.github.com>  Wed, 03 Sep 2025 18:50:17 +0200

grub-btrfs (4.12-gsd1) stable; urgency=medium

  * Import as debian-gsd pacakge
  * Update upstream version

 -- Maciek Krawiec <142805+mkrawiec@users.noreply.github.com>  Mon, 06 Mar 2023 22:59:36 +0100
